<!DOCTYPE html>
<html>

    <head>
        <script>
        function loadXMLDoc(filename) {
            if (window.ActiveXObject) {
                xhttp = new ActiveXObject("Msxml2.XMLHTTP");
            }
            else {
                xhttp = new XMLHttpRequest();
            }
            xhttp.open("GET", filename, false);
           // try { xhttp.responseType = "msxml-document" } catch (err) { } // Helping IE11
            xhttp.send("");
            return xhttp.responseXML;
        }

        function displayResult() {
            xml = loadXMLDoc("catalogo.xml");
            xsl = loadXMLDoc("catalogo.xsl");
            // code for IE
            // if (window.ActiveXObject || xhttp.responseType == "msxml-document") {
            //     ex = xml.transformNode(xsl);
            //     document.getElementById("example").innerHTML = ex;
            // }
            // // code for Chrome, Firefox, Opera, etc.
            // else 
            if (document.implementation && document.implementation.createDocument) {
                xsltProcessor = new XSLTProcessor();
                xsltProcessor.importStylesheet(xsl);
                resultDocument = xsltProcessor.transformToFragment(xml, document);
                document.getElementById("Videojuegos-Content").appendChild(resultDocument);
            }
        }
    </script>

     <meta charset="UTF-8">
     <meta http-equiv="X-UA-Compatible" content="IE=edge">
     <meta name="viewport" content="width=device-width, initial-scale=1.0">
     <meta name="author" content="Iulia Todor">
     <meta name="description" content="Página web dedicada a tus videojuegos favoritos">
     <link rel="icon" type="image/ico" href="images/joycon.ico">
     <link rel="stylesheet" href="index.css">
     <link rel="stylesheet" href="Joycom.css">
     <link rel="preconnect" href="https://fonts.googleapis.com">
     <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
     <link href="https://fonts.googleapis.com/css2?family=Cinzel&family=Kanit:ital,wght@0,200;1,100&display=swap"
         rel="stylesheet">
     <title>Joycom</title>
    </head>

    <body onload="displayResult()">
        <header>
            <div class="Titulo">
                <h1>Joycom</h1>
                <img src="images/Joycomlogo.png" alt="Logo de la pàgina">
                <p>Learning through play</p>
            </div>
        </header>
        <!-- El nav se encuentra fuera del header para que pueda ponerse en position: sticky sin causar problemas-->
        <nav>
            <div>
                <a href="">Joycom</a>
                <a href="">Videojuegos</a>
                <a href="">Noticias</a>
                <a href="">Ranking</a>
                <a href="">Contacto</a>
            </div>
        </nav>
        <main>
            <!-- En esta sección se encuentran los videojuegos -->
            <!--La sección tiene un display:flex para alinear los artículos. Esto se aplica tanto a los vidoejuegos como noticias-->
            <section class="Videojuegos" id="Videojuegos-Content">
               
            </section>
            <!-- Este contenedor comprende la sección de noticias y la de trucos -->
            <div class="Contenedor">
    
                <!-- La sección de noticias. Al igual que la de videojuegos, tiene un display:flex para alinear los
                elementos de dentro. También tiene una anchura definida para poder alinearse con la sección de trucos -->
                <section class="Noticias" id="Noticias">
                    <h2>Noticias</h2>
                    <!-- Al igual que la sección de videojuegos, el interior de los artículos están alineados en columna -->
                    <article>
                        <h3>Sora finalmente gana un combate en un torneo de Super Smash Bros</h3>
                        <p>Si bien Sora no es el peor personaje de Super Smash Bros Ultimate, no es
                            tampoco el que
                            mejores resultados tiene en los torneos; es más, hasta se ha bromeado con que usar a Sora en
                            un torneo es un deseo de perder. No obstante, el jugador Maister calló la boca a todos al
                            ganar <strong>un</strong> combate contra el Steve de Onin, quien estaba arrasando con todos
                            en la Super Smash Con 2022.</p>
                        <!-- El anchor se situa encima de la imagen poniendo un position: relative a ambos -->
                        <img src="images/confeti.png" alt="Confeti">
                        <a href="Noticia.html">Seguir la noticia</a>
                    </article>
    
                    <article>
                        <h3>¡Turbo rompe RoadBlasters!??? ¡La razón te volará la cabeza!!11!</h3>
                        <p>Turbo es el protagonista de Turbo Time, un aclamado juego de carreras en
                            las máquinas Arcade, siendo de los juegos más populares de las máquinas arcade. Sin embargo,
                            hace poco ha sido avistado invadiendo otro juego de carreras, causando la desconexión tanto
                            de este
                            como de su propio juego.</p>
                        <img src="images/Turbo.jpg" alt="Turbo en Road Blasters">
                        <a href="" target="_blank">Seguir la noticia</a>
                    </article>
    
                    <article>
                        <h3>Mohamed Light conquista los mundiales de Clash Royale</h3>
                        <p>Tras varios dias muy intensos, el campeonato mundial de Clash Royale ha
                            concluido. El jugador
                            egipcio Mohamed Light ha conseguido llegar a la final desde el bracket de losers, y con esto
                            derrotar al legendario Morten 2-1 y 2-0 en dos mejores de 3. Gracias a su estrategia
                            defensiva y juego de defensa, Mohamed Light ha conseguido ser el campeón mundial de Clash
                            Royale con solo 14 años.</p>
                        <img src="images/clash.jpeg" alt="Ganador del mundial de Clash Royale">
                        <a href="" target="_blank">Seguir la noticia</a>
                    </article>
    
                    <article>
                        <h3>Jugador se gasta 100.000 dólares en Diablo Immortal y no puede jugar con nadie</h3>
                        <p> Jtisallbusiness es un jugador de Diablo Immortal quien gastó 100.000
                            para ser el mejor en Diablo Immortal; tiene las mejores armas, armaduras, personajes y más.
                            Si bien lo tiene todo, está completamente solo.</p>
                        <img src="images/Diablo-Immortal.png" alt="Diablo Immortal">
                        <a href="" target="_blank">Seguir la noticia</a>
                    </article>
    
                    <!-- La sección de trucos. Está en display:flex para alinear los elementos en columna -->
                </section>
                <section class="trucos">
                    <h2>Trucos y guías</h2>
    
                    <div>
                        <h4>Guía de Kingdom Hearts 4.99</h4>
                        <a href="https://www.eliteguias.com/guias/k/kh1/kingdom-hearts.php" target="_blank"><img src="images/KingdomHearts.jpg" alt="KingdomHearts"></a>
                    </div>
    
                    <div>
                        <h4>Guía de Devil May Cry 5</h4>
                        <a href="https://vandal.elespanol.com/guias/guia-devil-may-cry-5-trucos-y-consejos" target="_blank"><img src="images/DMC5.jpg" alt="DevilMayCry"></a>
                    </div>
    
                    <div>
                        <h4>Trucos para Pokémon Esmeralda</h4>
                        <a href="https://www.cpokemon.com/seccion/trucos/trucos-pokemon-esmeralda/" target="_blank"> <img src="images/Esmeralda.jpg" alt="Pokémon Esmeralda"></a>
                    </div>
                </section>
                <!-- Este div que se ha cerrado es el contenedor de noticias y trucos -->
            </div> 
        </main>
        <!-- Este es el Ranking. Tiene un div con display:flex para alinear a los usuarios. Dentro hay otro div con un
        display:flex para alinear la foto y datos de los usuarios en columna-->
        <section class="Ranking" id="Ranking">
            <h2>Ranking</h2>
            <div class="Jugadores">
                <div>
                    <img src="images/MKleo.jpg" alt="MKLeo">
                    <p>Nombre: MKLeo</p>
                    <p>Tiempo sin haber tocado hierba: 23.000h</p>
                </div>
    
                <div>
                    <img src="images/Chules.png" alt="Chules">
                    <p>Nombre: Chules</p>
                    <p>Tiempo sin haber tocado hierba: 323.000h</p>
                </div>
    
                <div>
                    <img src="images/Wolfey.png" alt="Wolfey">
                    <p>Wolfey</p>
                    <p>Tiempo sin haber tocado hierba: 342.000h</p>
                </div>
    
                <div>
                    <img src="images/cara1.jpg" alt="Wolfey">
                    <p>Avatar 1</p>
                    <p>Tiempo sin haber tocado hierba: 32.000</p>
                </div>
    
                <div>
                    <img src="images/cara2.jpg" alt="Wolfey">
                    <p>Avatar 2</p>
                    <p>Tiempo sin haber tocado hierba: 32.000</p>
                </div>
    
                <div>
                    <img src="images/cara3.jpg" alt="Wolfey">
                    <p>Avatar 3</p>
                    <p>Tiempo sin haber tocado hierba: 32.000</p>
                </div>
    
                <div>
                    <img src="images/cara3.jpg" alt="Wolfey">
                    <p>Avatar 4</p>
                    <p>Tiempo sin haber tocado hierba: 32.000</p>
                </div>
    
                <div>
                    <img src="images/cara3.jpg" alt="Wolfey">
                    <p>Avatar 5</p>
                    <p>Tiempo sin haber tocado hierba: 32.000</p>
                </div>
    
                <div>
                    <img src="images/cara3.jpg" alt="Wolfey">
                    <p>Avatar 6</p>
                    <p>Tiempo sin haber tocado hierba: 32.000</p>
                </div>
            </div>
        </section>
    
        <footer class="footer">
            <div>
                <a href="" target="_blank"><img src="images/instagram.png" alt="logoinstagram"></a>
                <a href="" target="_blank"><img src="images/facebook.png" alt="logofacebook"></a>
                <a href="" target="_blank"><img src="images/twitter.png" alt="logotwitter"></a>
                <a href="" target="_blank"><img src="images/youtube.png" alt="logoyoutube"></a>
            </div>
            <address>Carrer d'Aiguablava 121 08033 Barcelona</address>
            <p>Copyright © 2021-2022</p>
        </footer>
    
    </body>

</html>